Bug 192965 - SELinux needs to be OFF, not permissive
SELinux needs to be OFF, not permissive
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Red Hat Satellite QA List
: Documentation
Depends On:
Blocks: 179339
  Show dependency treegraph
 
Reported: 2006-05-24 11:27 EDT by Thomas Cameron
Modified: 2009-08-19 23:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 19:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Cameron 2006-05-24 11:27:16 EDT
Description of problem:
At
http://www.redhat.com/docs/manuals/RHNetwork/satellite/4.0.5/ch-requirements.html
it says that SELinux needs to be disabled or in permissive mode to install RHN
Satellite.  The installer for rhn-satellite-4.0.6-12 fails if it is in
permissive mode, saying that it must be disabled.

Version-Release number of selected component (if applicable):
rhn-satellite-4.0.6-12
Comment 1 Melissa Goldin 2006-05-30 11:04:08 EDT
Corrected in:
405
----------
http://lacrosse.corp.redhat.com/~mgoldin/4.0.5/satellite/ch-requirements.html#S1-REQUIREMENTS-SOFTWARE

410
-----------
http://lacrosse.corp.redhat.com/~mgoldin/4.1.0/sat/ch-requirements.html#S1-REQUIREMENTS-SOFTWARE

Corrections committed for both 405 and 410.

Shannon, can we re-spin the 405 Satellite Guide as part of the 410 release?
Comment 2 Melissa Goldin 2006-06-07 14:45:09 EDT
Re-assigning to shughes for the next QA push
Comment 3 Shannon Hughes 2006-06-07 16:03:21 EDT
rebuild sat 405, moving to ondev
Comment 4 Mike McCune 2006-06-14 13:34:28 EDT
We actually need to put this back to the way it was in 405:

https://rhn.redhat.com/rhn/help/satellite/rhn405/en/ch-requirements.jsp#S1-REQUIREMENTS-SOFTWARE

" Security-enhanced Linux (SELinux) must be disabled or in permissive mode prior
to installation of RHN Satellite Server. To do this during CD or ISO image
installation, select Permissive  when presented with options for SELinux
support. To do this for kickstart installation, include the command selinux
--permissive or wait for the install to complete, edit the /etc/selinux/config
file to read SELINUX=permissive and reboot the system.

More in-depth coverage of SELinux is available at http://www.redhat.com/docs/.
You may also refer to the Red Hat Knowledgebase article on SELinux and RHN
Satellite Server at http://kbase.redhat.com/faq/. "

we fixed the issue with the installer and it now will run with SELinux in
--permissive mode.
Comment 5 Melissa Goldin 2006-06-14 13:40:08 EDT
Confirmed with mmccune that this change only needs to be made to the 410 docs.
Comment 6 Melissa Goldin 2006-06-14 13:52:49 EDT
I've alerted Michelle Kim and the translation team of this change.

Correction made (un-made?) and committed to CVS.
Comment 7 Melissa Goldin 2006-06-20 10:53:02 EDT
Moving to ON_QA
Comment 8 Corey Welton 2006-06-21 10:48:08 EDT
QA Verified - release notes indicate that selinux must be disabled or in
permissive mode.
Comment 9 Beth Nackashi 2006-07-19 19:02:07 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.